Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.common.security
Class AccessManager

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.core.extension.SimpleExtension
              com.dbxml.db.common.security.AccessManager

All Implemented Interfaces:
  Configurable, Extension

public final class AccessManager
extends SimpleExtension

AccessManager is a proxy facade that is used to expose AccessManager functionality via Labrador.

Field Summary
`static java.lang.String[]` | `PARAMS_addRole`
`static java.lang.String[]` | `PARAMS_addRoleToUser`
`static java.lang.String[]` | `PARAMS_addUser`
`static java.lang.String[]` | `PARAMS_grant`
`static java.lang.String[]` | `PARAMS_listAccessControl`
`static java.lang.String[]` | `PARAMS_listRolesForUser`
`static java.lang.String[]` | `PARAMS_listUsersForRole`
`static java.lang.String[]` | `PARAMS_removeRole`
`static java.lang.String[]` | `PARAMS_removeRoleFromUser`
`static java.lang.String[]` | `PARAMS_removeUser`
`static java.lang.String[]` | `PARAMS_revoke`
`static java.lang.String[]` | `PARAMS_setUserPassword`

Constructor Summary
`AccessManager()`

Method Summary
`void` | `addRole(java.lang.String roleID)`
`void` | `addRoleToUser(java.lang.String userID, java.lang.String roleID)`
`void` | `addUser(java.lang.String userID)`
`void` | `grant(java.lang.String path, java.lang.String roleID, int permissions)`
`java.util.Map` | `listAccessControl(java.lang.String path)`
`java.lang.String[]` | `listRoles()`
`java.lang.String[]` | `listRolesForUser(java.lang.String userID)`
`java.lang.String[]` | `listUsers()`
`java.lang.String[]` | `listUsersForRole(java.lang.String roleID)`
`void` | `removeRole(java.lang.String roleID)`
`void` | `removeRoleFromUser(java.lang.String userID, java.lang.String roleID)`
`void` | `removeUser(java.lang.String userID)`
`void` | `revoke(java.lang.String path, java.lang.String roleID, int permissions)`
`void` | `setCollection(Collection collection)` setCollection sets the Collection context for this Extension.
`void` | `setUserPassword(java.lang.String userID, java.lang.String password)`

Methods inherited from class com.dbxml.db.core.extension.SimpleExtension
`getCollection, getName, setConfig`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Field Detail

### PARAMS_addUser

    public static final java.lang.String[] PARAMS_addUser

### PARAMS_setUserPassword

    public static final java.lang.String[] PARAMS_setUserPassword

### PARAMS_listRolesForUser

    public static final java.lang.String[] PARAMS_listRolesForUser

### PARAMS_addRoleToUser

    public static final java.lang.String[] PARAMS_addRoleToUser

### PARAMS_removeRoleFromUser

    public static final java.lang.String[] PARAMS_removeRoleFromUser

### PARAMS_removeUser

    public static final java.lang.String[] PARAMS_removeUser

### PARAMS_listUsersForRole

    public static final java.lang.String[] PARAMS_listUsersForRole

### PARAMS_addRole

    public static final java.lang.String[] PARAMS_addRole

### PARAMS_removeRole

    public static final java.lang.String[] PARAMS_removeRole

### PARAMS_listAccessControl

    public static final java.lang.String[] PARAMS_listAccessControl

### PARAMS_grant

    public static final java.lang.String[] PARAMS_grant

### PARAMS_revoke

    public static final java.lang.String[] PARAMS_revoke

Constructor Detail

### AccessManager

    public AccessManager()

Method Detail

### setCollection

    public void setCollection(Collection collection)

  Description copied from interface: `Extension`
  setCollection sets the Collection context for this Extension.

  Specified by:
    `setCollection` in interface `Extension`
  Overrides:
    `setCollection` in class `SimpleExtension`

### listUsers

    public java.lang.String[] listUsers()
                                 throws DBException

  Throws:
    `DBException`

### addUser

    public void addUser(java.lang.String userID)
                 throws DBException

  Throws:
    `DBException`

### setUserPassword

    public void setUserPassword(java.lang.String userID,
                                java.lang.String password)
                         throws DBException

  Throws:
    `DBException`

### listRolesForUser

    public java.lang.String[] listRolesForUser(java.lang.String userID)
                                        throws DBException

  Throws:
    `DBException`

### addRoleToUser

    public void addRoleToUser(java.lang.String userID,
                              java.lang.String roleID)
                       throws DBException

  Throws:
    `DBException`

### removeRoleFromUser

    public void removeRoleFromUser(java.lang.String userID,
                                   java.lang.String roleID)
                            throws DBException

  Throws:
    `DBException`

### removeUser

    public void removeUser(java.lang.String userID)
                    throws DBException

  Throws:
    `DBException`

### listRoles

    public java.lang.String[] listRoles()
                                 throws DBException

  Throws:
    `DBException`

### listUsersForRole

    public java.lang.String[] listUsersForRole(java.lang.String roleID)
                                        throws DBException

  Throws:
    `DBException`

### addRole

    public void addRole(java.lang.String roleID)
                 throws DBException

  Throws:
    `DBException`

### removeRole

    public void removeRole(java.lang.String roleID)
                    throws DBException

  Throws:
    `DBException`

### listAccessControl

    public java.util.Map listAccessControl(java.lang.String path)
                                    throws DBException

  Throws:
    `DBException`

### grant

    public void grant(java.lang.String path,
                      java.lang.String roleID,
                      int permissions)
               throws DBException

  Throws:
    `DBException`

### revoke

    public void revoke(java.lang.String path,
                       java.lang.String roleID,
                       int permissions)
                throws DBException

  Throws:
    `DBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group